<?php

$webdoc["page_title"].=" - Tests";
$webdoc["main_table"]="test";

kernel_set_variables();

kernel_require_script(2,"list");

if (isset($_GET["subpage2"])) $menu2_url[]="?subpage1=tests".(isset($webdoc["test_id"])?"&test_id=$webdoc[test_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="List";
if ($webdoc["role_id"]<=4)
{
  if ($_GET["subpage2"]!="new") $menu2_url[]="?subpage1=tests&subpage2=new"; else $menu2_url[]=""; $menu2_titles[]="New";
}
if ($_GET["subpage2"]!="columns") $menu2_url[]="?subpage1=tests&subpage2=columns".(isset($webdoc["test_id"])?"&test_id=$webdoc[test_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Columns";
if ($_GET["subpage2"]!="filter") $menu2_url[]="?subpage1=tests&subpage2=filter".(isset($webdoc["test_id"])?"&test_id=$webdoc[test_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Filter";
if (isset($webdoc["test_id"]))
{
  if ($_GET["subpage2"]!="view") $menu2_url[]="?subpage1=tests&subpage2=view&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="View";
  if ($_GET["subpage2"]!="history") $menu2_url[]="?subpage1=tests&subpage2=history&sequence_id=$webdoc[sequence_id]&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="History";
  if ($webdoc["role_id"]<=4)
  {
    if ($_GET["subpage2"]!="edit") $menu2_url[]="?subpage1=tests&subpage2=edit&sequence_id=$webdoc[sequence_id]&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="Edit";
  }
}
if ($_GET["subpage2"]!="export") $menu2_url[]="?subpage1=tests&subpage2=export".(isset($webdoc["test_id"])?"&test_id=$webdoc[test_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Export";
if (isset($webdoc["test_id"]))
{
  if ($webdoc["role_id"]<=4)
  {
    if ($_GET["subpage2"]!="files") $menu2_url[]="?subpage1=tests&subpage2=files&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="Files";
  }
  if ($webdoc["role_id"]<=3)
  {
    if ($_GET["subpage2"]!="approve") $menu2_url[]="?subpage1=tests&subpage2=approve&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="Approving";
    if ($_GET["subpage2"]!="terminate") $menu2_url[]="?subpage1=tests&subpage2=terminate&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="Terminate";
  }
  if ($webdoc["role_id"]<=4)
  {
    if ($_GET["subpage2"]!="make_test_run") $menu2_url[]="?subpage1=tests&subpage2=make_test_run&test_id=$webdoc[test_id]"; else $menu2_url[]=""; $menu2_titles[]="Make Test Run";
  }
}

$template->template_assign('menu2_url',$menu2_url);
$template->template_assign('menu2_titles',$menu2_titles);

?>
